package com.liquidnet.service.order.utils;


import java.math.BigDecimal;
import java.math.RoundingMode;

/**
 * 收钱吧参数转换工具类
 * 1. 金额转换：元（BigDecimal） -> 分（Long）
 */

public class GoblinSqbConvertUtils {


    /**
     * 元转分 (BigDecimal -> Long)
     *
     * @param amount 元
     * @return 分
     */
    public static Long yuanToFen(BigDecimal amount) {
        if (amount == null) {
            return 0L;
        }
        // 乘以 100 并设置四舍五入，确保转换后的精度
        return amount.multiply(new BigDecimal("100"))
                .setScale(0, RoundingMode.HALF_UP)
                .longValue();
    }

}
